VERSION 5.00
Object = "{3695F14C-1312-11D2-8BA2-99ABB4121269}#2.0#0"; "EDGETEXT.OCX"
Begin VB.Form Frmdate_range 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Enter a Date Range for this Report"
   ClientHeight    =   1470
   ClientLeft      =   2505
   ClientTop       =   3615
   ClientWidth     =   6360
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmdate_range.frx":0000
   LinkTopic       =   "Frmdate_rangeForm"
   MaxButton       =   0   'False
   ScaleHeight     =   1470
   ScaleWidth      =   6360
   Begin PrgEdgeText.txtEdgeDate txtStarting_Date 
      Height          =   315
      Left            =   2250
      TabIndex        =   6
      Top             =   240
      Width           =   1065
      _ExtentX        =   1879
      _ExtentY        =   556
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      MouseIcon       =   "frmdate_range.frx":0442
      Text            =   "__/__/____"
      hWnd            =   2072
   End
   Begin VB.CommandButton cmdCalendar2 
      Caption         =   "---"
      Height          =   315
      Left            =   3330
      TabIndex        =   5
      Top             =   630
      Width           =   345
   End
   Begin VB.CommandButton cmdCalendar 
      Caption         =   "---"
      Height          =   315
      Left            =   3330
      TabIndex        =   4
      Top             =   240
      Width           =   345
   End
   Begin VB.CommandButton CmdOk 
      Caption         =   "&OK"
      Height          =   500
      Left            =   4710
      TabIndex        =   0
      Top             =   150
      Width           =   1200
   End
   Begin VB.CommandButton CmdExit 
      Caption         =   "&Cancel"
      Height          =   500
      Left            =   4710
      TabIndex        =   1
      Top             =   675
      Width           =   1200
   End
   Begin PrgEdgeText.txtEdgeDate txtEnding_Date 
      Height          =   315
      Left            =   2250
      TabIndex        =   7
      Top             =   630
      Width           =   1065
      _ExtentX        =   1879
      _ExtentY        =   556
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      MouseIcon       =   "frmdate_range.frx":045E
      Text            =   "__/__/____"
      hWnd            =   2172
   End
   Begin VB.Label lblStarting_date 
      Alignment       =   1  'Right Justify
      Caption         =   "Starting Date"
      Height          =   315
      Left            =   930
      TabIndex        =   2
      Top             =   300
      Width           =   1260
   End
   Begin VB.Label lblEnding_date 
      Alignment       =   1  'Right Justify
      Caption         =   "Ending Date"
      Height          =   315
      Left            =   930
      TabIndex        =   3
      Top             =   720
      Width           =   1260
   End
Attribute VB_Name = "Frmdate_range"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public objDate_range As New clsDate_range
Public Dirty As Integer
Public Cancel As Integer
Private Sub cmdCalendar_Click()
    'see if the date in the reporting day  box is valid
    'if it is, put it in the calendar, if not, just fill
    'the calendar with today's date
    If IsDate(txtStarting_Date) Then
        frmCalendar.Calendar.Value = txtStarting_Date
    Else
        frmCalendar.Calendar.Value = Date
    End If
    'show the calendar form, a double click on the calendar will
    'put the value in the reporting day box
    frmCalendar.Show vbModal
    txtStarting_Date.Text = Format(frmCalendar.Calendar.Value, "mm/dd/yy")
    Unload frmCalendar
End Sub
Private Sub cmdCalendar2_Click()
    'see if the date in the reporting day  box is valid
    'if it is, put it in the calendar, if not, just fill
    'the calendar with today's date
    If IsDate(txtEnding_Date) Then
        frmCalendar.Calendar.Value = txtEnding_Date
    Else
        frmCalendar.Calendar.Value = Date
    End If
    'show the calendar form, a double click on the calendar will
    'put the value in the reporting day box
    frmCalendar.Show vbModal
    txtEnding_Date.Text = Format(frmCalendar.Calendar.Value, "mm/dd/yy")
    Unload frmCalendar
End Sub
Public Sub Populate()
    objDate_range.Date_Id = 1
    objDate_range.GetItem
    If objDate_range.Success = False Then
        ClearForm
        Exit Sub
    End If
    FillForm
    Dirty = False
End Sub
Private Sub txtStarting_Date_Change()
    Dirty = True
End Sub
Private Sub txtEnding_Date_Change()
    Dirty = True
End Sub
Public Sub FillForm()
    With objDate_range
        txtStarting_Date.Text = Format(CDate(.Starting_Date), "mm/dd/yy")
        txtEnding_Date.Text = Format(CDate(.Ending_Date), "mm/dd/yy")
    End With
End Sub
Public Sub FillObject()
    With objDate_range
        .Starting_Date = txtStarting_Date.Text
        .Ending_Date = txtEnding_Date.Text
    End With
End Sub
Private Sub ClearForm()
    txtStarting_Date = ""
    txtEnding_Date = ""
End Sub
Private Sub CheckDirty()
    If Dirty Then
        If MsgBox("Data has changed, Would you like to Save?", vbQuestion + vbYesNo) = vbYes Then
            objDate_range.GetItem
            If objDate_range.Success = False Then
                FillObject
                objDate_range.AddItem
                If objDate_range.Success = False Then
                    MsgBox "Error Adding to the Date_range Table", vbExclamation
                End If
            Else
                FillObject
                objDate_range.UpdateItem
                If objDate_range.Success = False Then
                    MsgBox "Error Updating the Date_range Table", vbExclamation
                End If
            End If
        End If
    End If
    Dirty = False
End Sub
Public Sub CmdOK_Click()
    FillObject
    objDate_range.UpdateItem
    Cancel = False
    Me.Hide
End Sub
Public Sub CmdExit_Click()
    Cancel = True
    Me.Hide
End Sub
